### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
ForwardPerformanceVanillaEngine< Engine > Class Template Reference
Forward option engines

Forward performance engine for vanilla options More...

`#include <ql/pricingengines/forward/forwardperformanceengine.hpp>`

Inheritance diagram for ForwardPerformanceVanillaEngine< Engine >:
[legend]

List of all members.

## Public Member Functions

| ForwardPerformanceVanillaEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Protected Member Functions

void | getOriginalResults () const

## Detailed Description

### template<class Engine>
class QuantLib::ForwardPerformanceVanillaEngine< Engine >

Forward performance engine for vanilla options

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.